#BEGIN COPYRIGHT
#*************************************************************************
#
# Licensed Materials - Property of IBM
# 5725-C94, 5725-C95, 5725-C96
# (C) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
#*************************************************************************
#END COPYRIGHT

import sys, os, os.path, re
from java.lang import System

execfile(os.path.join(System.getProperty("was.install.root"), "BPM/base/profile/actions/scripts/updateServerPolicyForBPM.py"))

def addPermission(file, permission, nl):
  print "  Adding %s" % (permission)
  file.write('  ' + permission + nl)

nl = System.getProperty("line.separator")

# -----------------------------------------------------
# Update the node-level library.policy file
# -----------------------------------------------------
configPolicy = "cells/" + System.getProperty("local.cell") + "/nodes/" + System.getProperty("local.node") + "/library.policy"
tempPolicy = System.getProperty("was.repository.temp") + "/library.policy"

print "Updating %s:" % (configPolicy)

digest = AdminConfig.extract(configPolicy, tempPolicy)

file = open(tempPolicy, "r")
lines = file.readlines()
file.close()

file = open(tempPolicy, "w")

for line in lines:
  closebrace = re.match("\\s*};(\\s*)", line)
  if closebrace:
    nl = closebrace.group(1)
    addPermission(file, 'permission java.util.PropertyPermission "log4j.*", "read";', nl)
    addPermission(file, 'permission java.util.PropertyPermission "org.apache.commons.logging.*", "read";', nl)
  file.write(line)

file.close()

AdminConfig.checkin(configPolicy, tempPolicy, digest)
AdminConfig.save()

os.remove(tempPolicy)

print "Removed temporary file."

# -----------------------------------------------------
# Update the profile-level server.policy file
# -----------------------------------------------------
if len(sys.argv) == 1:
  dbJDBCClasspath = sys.argv[0]
else:
  dbJDBCClasspath = None

updateServerPolicyForBPM(System.getProperty("user.install.root"), dbJDBCClasspath)

print "Done updating policy files."
